//--------------------------------------------------------------------
//                                                                    
//  Module:       SimpleInstance                                       
//  Description:  SimpleInstance
//                                                                    
//--------------------------------------------------------------------

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;
import java.io.*;
import java.net.*;


public class SimpleInstance extends JDPClassLayout  {

	JDPUser user;
	JDPJagg jaggSQL;
	JDPPopupMessage popuppanel;
	JDPMaskEdit JDPMaskEditMain;
	String moduleParameter;
	//
	//  Declare screen components
	//
	Panel Main;
	java.lang.String String1;
	java.awt.Button Button1;
	JDPRichText RichText1;

	public void InitClass(JDPUser user, Panel targetPanel, String moduleParameter) {

		this.user = user;
		this.moduleParameter = moduleParameter;
		//
		//  Set JAGG settings for this class
		//
		jaggSQL = new JDPJagg(user.jaggPath);

		setLayout(new BorderLayout());
		popuppanel = new JDPPopupMessage(user,this);
		add(popuppanel);
		JDPMaskEditMain = new JDPMaskEdit();

		Main = new Panel();
		String1 = new java.lang.String("Press Here");
		Button1 = new java.awt.Button(String1);
		RichText1 = new JDPRichText(user);

		Main.setLayout(new BorderLayout());
		add("Center", Main);
		Main.add("South", Button1);
		Main.add("Center", RichText1);

		RichText1.setFont(new Font("Helvetica", Font.PLAIN, 12));
		RichText1.setText("This sample uses the java.lang.String class to create a new String object called String1. The Instance Manager is used to create the String and initialize it to 'Press Here'. Then the java.awt.Button class is used to create a new Button. The Instance Manager is used to create the new instance using String1 as the parameter. This results in a new Button with the text 'Press Here' as you see below. To see the Instance Manager settings for String1 or Button1 select the component in the Layout View and press the Instance Manager button (2nd from left on the left middle of this screen). This is a simple example of how the Instance Manager is used to create new instances of objects that are imported into JDesignerPro.");


		//
		//  Initialise Components
		//
		InitComponents();
		//
		//  Add the handle to this panel to the global vector so other panels can
		//  access this one
		//
		user.gParm.addElement(this);
	}



	//
	//  Initialise other components by calling their methods
	//
	public void InitComponents() {

		

	}

}

